import esbuild from "esbuild";

const buildContext = await esbuild.context({
	entryPoints: ["src/index.ts", "src/bin/codegen.ts"],
	format: "esm",
	outdir: "dist",
	bundle: true,
	platform: "node",
	logLevel: "info",
});

await buildContext.watch();
